﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register assembly="Infragistics45.Web.v21.1, Version=21.1.20211.2, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.NavigationControls" tagprefix="ig" %>
<%@ Register assembly="Infragistics45.Web.v21.1, Version=21.1.20211.2, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
    <script type="text/javascript" id="igClientScript">
<!--

// 参考：https://stackoverflow.com/a/28223205
window.addEventListener("contextmenu", function (e) { e.preventDefault(); });

function WebDataTree1_NodeClick(sender, eventArgs)
{
    //WebDataTree のノードが選択されていなければ、WebDataMenu は表示しない。
    if (lastNode.get_selected() === false) {
        return;
    }

    // WebDataMenu への参照を取得します
    var menu = $find("WebDataMenu1");
    if (menu != null && eventArgs.get_browserEvent() != null && eventArgs.get_browserEvent().button == 2)
    //showAt メソッドは 3 つのパラメーター、x、y、browserEvent（オプション）を取得します
    //x -- メニューの絶対位置のための X 軸位置
    //y -- メニューの絶対位置のための Y 軸位置
    //browserEvent --  ブラウザ イベントに基づく自動配置
    menu.showAt(null, null, eventArgs.get_browserEvent());
}
        
function WebDataGrid1_Grid_MouseUp(sender, eventArgs)
{
    if (eventArgs.get_browserEvent().button == 2) {
        var selectionBehavior = sender.get_behaviors().get_selection();
        var isRowSelected = selectionBehavior.get_selectedRows().get_length() === 0 ? false : true;

        //WebDataGrid に選択行がなければ、WebDataMenu は表示しない。
        if (!isRowSelected) {
            return;
        }

        // 選択行とマウス右クリック対象行が同じであることを判定する。
        var targetRowKey = eventArgs.get_item().get_row().get_dataKey()[0];
        var selectedRowKey = selectionBehavior.get_selectedRows().getItem(0).get_dataKey()[0];
        // 選択行とマウス右クリック対象行が一致していなければ、WebDataMenu は表示しない。
        if (targetRowKey !== selectedRowKey) {
            return;
        }
      
        // WebDataMenu への参照を取得します
        var menu = $find("WebDataMenu1");
        if (menu != null && eventArgs.get_browserEvent() != null && eventArgs.get_browserEvent().button == 2)
        //showAt メソッドは 3 つのパラメーター、x、y、browserEvent（オプション）を取得します
        //x -- メニューの絶対位置のための X 軸位置
        //y -- メニューの絶対位置のための Y 軸位置
        //browserEvent --  ブラウザ イベントに基づく自動配置
        menu.showAt(null, null, eventArgs.get_browserEvent());
    }
}



// -->
</script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <ig:WebDataTree ID="WebDataTree1" runat="server" Height="300px" Width="200px"
                SelectionType="Single">
                <Nodes>
                    <ig:DataTreeNode Text="ルート ノード">
                        <Nodes>
                            <ig:DataTreeNode Text="子ノード">
                            </ig:DataTreeNode>
                            <ig:DataTreeNode Text="子ノード">
                            </ig:DataTreeNode>
                            <ig:DataTreeNode Text="子ノード">
                            </ig:DataTreeNode>
                        </Nodes>
                    </ig:DataTreeNode>
                    <ig:DataTreeNode Text="ルート ノード">
                        <Nodes>
                            <ig:DataTreeNode Text="子ノード">
                            </ig:DataTreeNode>
                            <ig:DataTreeNode Text="子ノード">
                            </ig:DataTreeNode>
                            <ig:DataTreeNode Text="子ノード">
                            </ig:DataTreeNode>
                        </Nodes>
                    </ig:DataTreeNode>
                </Nodes>
                <ClientEvents NodeClick="WebDataTree1_NodeClick" />
            </ig:WebDataTree>
            <ig:WebDataMenu ID="WebDataMenu1" runat="server" IsContextMenu="True">
                <Items>
                    <ig:DataMenuItem Text="ルート項目">
                        <Items>
                            <ig:DataMenuItem Text="子項目">
                            </ig:DataMenuItem>
                            <ig:DataMenuItem Text="子項目">
                            </ig:DataMenuItem>
                            <ig:DataMenuItem Text="子項目">
                            </ig:DataMenuItem>
                        </Items>
                    </ig:DataMenuItem>
                </Items>
            </ig:WebDataMenu>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="400px" >
                <ClientEvents MouseUp="WebDataGrid1_Grid_MouseUp" />
                <Behaviors>
                    <ig:Selection CellClickAction="Row" CellSelectType="None" RowSelectType="Single">
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>
