﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = getData();
        }
        // WebDataGrid に、Session 内にある DataTable をバインド
        this.WebDataGrid1.DataSource = Session["data"];
    }

    private DataTable getData()
    {
        DataColumn[] PrimaryColumn = new DataColumn[1];
        DataTable dt = new DataTable();
        PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
        dt.Columns.Add("Name", typeof(string));
        dt.Columns.Add("Age", typeof(int));
        dt.Rows.Add(1, "たかし", 28);
        dt.Rows.Add(2, "としひこ", 19);
        dt.Rows.Add(3, "じゅんこ", 39);
        dt.Rows.Add(4, "さとみ", 31);
        dt.Rows.Add(5, "えりこ", 53);
        dt.PrimaryKey = PrimaryColumn;

        return dt;
    }
}